$border_color: black;
$text_color: black;
$b_radius: 2px;
$today_color: #e1d8f1;
$gregorian_color: gray;
$sel_day_color: gold;
$header_height: 12%;
$body_height: 78%;
$footer_height: 10%;
$select_holder_width: 40%;
$change_width: 10%;
$empty_header-width: 46%;
$day_back_color: #706767;
//*:focus {
//  outline: none;
//}
@import "node_modules/font-awesome/css/font-awesome.min.css";
.date-input-holder {
  &:focus {
    outline: none;
  }

  outline: none;
  color: $text_color;
  width: 35%;
  height: 25px;
  min-width: 100px;
  //height: 25px;
  overflow: visible;
  display: inline-flex;
  margin-right: 10px;
  position: relative;

  .date-input {
    &::selection {
      background-color: transparent;
    }

    &:hover {
      border-color: black;
      cursor: pointer;
    }

    &:focus {
      border-color: goldenrod;
    }
    direction: rtl;
    width: 100%;
    color: $text_color;
    outline: none;
    border: {
      color: lightgray;
      style: solid;
      //radius: 100px;
      width: 1px;
    }
    text-align: center;
  }

  .calendar {
    width: 200%;
    top: 100%;
    height: 250px;
    visibility: hidden;
    position: absolute;
    z-index: 10;
    background: {
      color: white;
    }
    border: {
      color: lightgray;
      width: 1px;
      style: solid;
      radius: $b_radius;
    }
    $box_shadow: -1px -1px 9px 1px rgba(143, 135, 143, 0.78);
    -webkit-box-shadow: $box_shadow;
    -moz-box-shadow: $box_shadow;
    box-shadow: $box_shadow;

    div {
      border-bottom: {
        color: lightgray;
        style: solid;
        width: 1px;
      }

      &.header {
        width: 100%;
        height: $header_height;

        span {
          margin: 0;
          //height: 100%;
          border: none;
          padding: 0;
          display: inline-block;
          box-sizing: border-box;
          //padding-top: 1% !important;
          //line-height: 100%;

          &.change-holder {
            width: $change_width;
            text-align: center;
            color: gray;
            font-weight: bold !important;

            &:hover {
              color: black;
              cursor: pointer;
            }
          }

          &.empty-header {
            width: $empty_header-width;
          }

          &.select-holder {
            width: $select_holder_width;
            direction: rtl;

            select {
              width: 50%;
              cursor: pointer;
              border-color: white;
              text-align: center;
              direction: ltr;

              option {
                text-align: center;

                &:hover {
                }
              }

              -moz-appearance: none; /* Firefox */
              -webkit-appearance: none; /* Safari and Chrome */
              appearance: none;

              &:focus {
                outline: none;
              }
            }
          }


        }
      }

      &.body {
        height: $body_height;

        table {
          width: 100%;
          height: 100%;
          border-collapse: collapse;

          thead {
            td {
              border-collapse: collapse;
              box-sizing: border-box;
              border: none;
              font-size: 10px;
              text-align: center;

            }
          }

          tr {
            td {
              position: relative;
              border: none !important;
              cursor: pointer;
              color: $day_back_color;
              font: {
                size: 15px;
              }

              &:hover {
                background: {
                  color: #f5f5f5;
                }
              }

              text-align: center;

              &.today {
                //color: lightgray !important;
                background: {
                  color: $today_color !important;
                }
              }

              &.selected-day {
                background-color: $sel_day_color !important;
              }

              &.weekend {
                color: red;
              }

              .gregorian {
                position: absolute;
                color: $gregorian_color;
                font-size: 5px;
                bottom: 15%;
                right: 5%;
              }
            }
          }
        }
      }

      &.footer {
        height: $footer_height;
        box-sizing: border-box;
        padding-top: 2%;
        color: gray;
        //font-size: 40%;
        //padding-top: 30%;
        border: {
          bottom: none;
          bottom-right-radius: $b_radius;
          bottom-left-radius: $b_radius;
        }
        background: {
          color: $today_color;
        }
        text-align: center;
      }
    }
  }
}